For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Sign inTry it free
DocsGuidesSDKsIntegrationsAPI docsTutorialsFlagship blog
DocsGuidesSDKsIntegrationsAPI docsTutorialsFlagship blog
  • REST API overview
    • Access Tokens
    • Account Members
    • Account Usage Beta
    • AI Configs
    • Announcements
    • Applications Beta
    • Approvals
    • Approvals Beta
    • Audit Log
    • Code References
    • Contexts
    • Context Settings
    • Custom Roles
    • Data Export Destinations
    • Environments
    • Experiments
    • Feature Flags
    • Feature Flags Beta
    • Flag Import Configurations Beta
    • Flag Links Beta
    • Flag Triggers
      • POSTCreate flag trigger
      • DELDelete flag trigger
      • GETGet flag trigger by ID
      • GETList flag triggers
      • PATCHUpdate flag trigger
    • Follow Flags
    • Holdouts Beta
    • Insights Charts Beta
    • Insights Deployments Beta
    • Insights Flag Events Beta
    • Insights Pull Requests Beta
    • Insights Repositories Beta
    • Insights Scores Beta
    • Integration Audit Log Subscriptions
    • Integration Delivery Configurations Beta
    • Integrations Beta
    • Layers
    • Metrics
    • Metrics Beta
    • OAuth2 Clients
    • Persistent Store Integrations Beta
    • Projects
    • Relay Proxy Configurations
    • Release Pipelines Beta
    • Releases Beta
    • Scheduled Changes
    • Segments
    • Tags
    • Teams
    • Teams Beta
    • Users
    • Users Beta
    • User Settings
    • Views Beta
    • Webhooks
    • Workflows
    • Workflow Templates
    • Other
Sign inTry it free
LogoLogo
REST API overviewFlag Triggers

List flag triggers

GET
/api/v2/flags/:projectKey/:featureFlagKey/triggers/:environmentKey
GET
/api/v2/flags/:projectKey/:featureFlagKey/triggers/:environmentKey
$curl https://app.launchdarkly.com/api/v2/flags/projectKey/featureFlagKey/triggers/environmentKey \
> -H "Authorization: <apiKey>"
1{
2 "items": [
3 {
4 "_id": "12ab3c45de678910abc12345",
5 "_version": 1,
6 "_creationDate": 1654104600000,
7 "_maintainerId": "12ab3c45de678910abc12345",
8 "_maintainer": {
9 "_links": {
10 "self": {
11 "href": "/api/v2/members/569f183514f4432160000007",
12 "type": "application/json"
13 }
14 },
15 "_id": "569f183514f4432160000007",
16 "role": "admin",
17 "email": "ariel@acme.com",
18 "firstName": "Ariel",
19 "lastName": "Flores"
20 },
21 "enabled": true,
22 "_status": "active",
23 "_lastFailedAt": 1654114600000,
24 "_integrationKey": "generic-trigger",
25 "instructions": [
26 "[ { \"kind\": \"turnFlagOn\" }]"
27 ],
28 "_lastTriggeredAt": 1654114600000,
29 "_recentTriggerBodies": [
30 {
31 "timestamp": 1654104600000,
32 "jsonBody": {}
33 }
34 ],
35 "_triggerCount": 3,
36 "triggerURL": "string",
37 "_links": {}
38 }
39 ],
40 "_links": {}
41}
Get a list of all flag triggers.
Was this page helpful?
Previous

Update flag trigger

Next
Built with

Authentication

Authorizationstring
API Key authentication via header

Path parameters

projectKeystringRequiredformat: "string"
The project key
environmentKeystringRequiredformat: "string"
The environment key
featureFlagKeystringRequiredformat: "string"
The feature flag key

Response

Flag trigger collection response
itemslist of objects
An array of flag triggers
_linksmap from strings to objects
The location and content type of related resources

Errors

401
Unauthorized Error
403
Forbidden Error
429
Too Many Requests Error